Package xml :: Package dom :: Class Node

[frames | no frames]

## Class Node

Known Subclasses:
  `Node`

Class giving the NodeType constants.

Class Variable Summary
`int` | `ATTRIBUTE_NODE` = 2
`int` | `CDATA_SECTION_NODE` = 4
`int` | `COMMENT_NODE` = 8
`int` | `DOCUMENT_FRAGMENT_NODE` = 11
`int` | `DOCUMENT_NODE` = 9
`int` | `DOCUMENT_TYPE_NODE` = 10
`int` | `ELEMENT_NODE` = 1
`int` | `ENTITY_NODE` = 6
`int` | `ENTITY_REFERENCE_NODE` = 5
`int` | `NOTATION_NODE` = 12
`int` | `PROCESSING_INSTRUCTION_NODE` = 7
`int` | `TEXT_NODE` = 3

Class Variable Details

### ATTRIBUTE_NODE

  Type:
    `int`
  Value:

        2

### CDATA_SECTION_NODE

  Type:
    `int`
  Value:

        4

### COMMENT_NODE

  Type:
    `int`
  Value:

        8

### DOCUMENT_FRAGMENT_NODE

  Type:
    `int`
  Value:

        11

### DOCUMENT_NODE

  Type:
    `int`
  Value:

        9

### DOCUMENT_TYPE_NODE

  Type:
    `int`
  Value:

        10

### ELEMENT_NODE

  Type:
    `int`
  Value:

        1

### ENTITY_NODE

  Type:
    `int`
  Value:

        6

### ENTITY_REFERENCE_NODE

  Type:
    `int`
  Value:

        5

### NOTATION_NODE

  Type:
    `int`
  Value:

        12

### PROCESSING_INSTRUCTION_NODE

  Type:
    `int`
  Value:

        7

### TEXT_NODE

  Type:
    `int`
  Value:

        3

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:12 2007 | http://epydoc.sf.net